import { BaseComponent } from '../../Utilities';
import { IResizeGroupProps } from './ResizeGroup.Props';
export interface IResizeGroupState {
    /**
     * Current set of data being measured to determine fit
    */
    measuredData: any;
    /**
     * Final data used to render proper sized component
    */
    renderedData?: any;
    /**
     * A flag to determine if a new measurement should be made upon state change
    */
    shouldMeasure?: boolean;
}
export declare class ResizeGroup extends BaseComponent<IResizeGroupProps, IResizeGroupState> {
    static defaultProps: {
        data: {};
    };
    private _root;
    private _measured;
    private _lastKnownRootWidth;
    private _lastKnownMeasuredWidth;
    constructor(props: IResizeGroupProps);
    componentWillReceiveProps(nextProps: IResizeGroupProps): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    componentDidUpdate(prevProps: IResizeGroupProps): void;
    private _onResize();
    private _setStateToDoneMeasuring();
    private _measureItems();
}
